Skip to main content
GET
List my payments

Query Parameters

paymentMethod
enum<string>[]

When included, filter to payments with any of these payment methods. When excluded, payments are not filtered by payment method.

The method used to process the payment.

platform means Guile manages the payment through our payment provider.

external means the payment is managed externally. This is either cash or a peer-to-peer payment system, such as Venmo.

Available options:
platform,
external
paymentDirection
enum<string>[]

When included, filter to payments with any of these payment directions. When excluded, defaults to payment (charges), not refunds.

The direction of the payment flow.

payment means money flows from customer to business. refund means money flows from business to customer.

Available options:
payment,
refund
paymentState
enum<string>[]

When included, filter to payments with any of these payment states. When excluded, defaults to paid payments.

The money position of an appointment's payment. pending means no funds have moved. processing means an authorization or capture attempt is in flight. authorized means funds are held but not captured, paid means captured and settled, and failed means the last authorization attempt failed.

Available options:
pending,
processing,
authorized,
paid,
failed
date
string

When included, filter to payments whose appointment occurs within this date range. When excluded, payments are not filtered by appointment date. A date range, supporting inclusive or exclusive endpoints. Dates ranges use dates expressed in YYYY-MM-DD RFC 3339 date format. The value may have the following forms:

  • YYYY-MM-DD match the date exactly; equivalent to matching dates in the range [YYYY-MM-DD,YYYY-MM-DD]
  • [YYYY-MM-DD,YYYY-MM-DD] between two dates, inclusive of the endpoints
  • (YYYY-MM-DD,YYYY-MM-DD) between two dates, exclusive of the endpoints
  • [YYYY-MM-DD,] on or after the date
  • (YYYY-MM-DD,) after the date
  • [,YYYY-MM-DD] before or on the date
  • (,YYYY-MM-DD) before the date

Examples:

  • '2022-05-19'
  • '[2022-05-01,2022-05-31]'
  • '[2022-05-01,2022-06-01)'
  • '[2022-05-19,]'
  • '(2022-05-19,)'
  • '[,2022-05-19]'
  • '(,2022-05-19)'.
Maximum string length: 24
Pattern: ^(\d{4}-\d{2}-\d{2}|[\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]])$
limit
integer<int16>
default:10
required
offset
integer<int16>
default:0
required

Response

Ok. The operation succeeded.

A paginated list of the current customer's appointment payments.

items
object[]
required
count
integer<int16>
required
Required range: x >= 0
offset
integer<int16>
required

The offset of list results for the current page.

Required range: x >= 0
limit
integer<int16>
required

The maximum number of results included in items.

Required range: x >= 0